1. seko vimbelo's Avatar
    I remember it being said that people used autoloaders to be able to update it but I also heard that it's IMPOSSIBLE as the Z10 has not enough specifications to support the update.
    02-14-17 03:46 AM
  2. DaFoxGrey's Avatar
    I remember it being said that people used autoloaders to be able to update it but I also heard that it's IMPOSSIBLE as the Z10 has not enough specifications to support the update.
    For a Z10 in general, the 10.3.3 update is not an issue.
    But, if it is the STL100-1 model Z10, then no, you can't update to 10.3.3 as that specific model doesn't have the hardware capacity or compatibility.
    This is also why past OS versions have always had a different OS file set for the STL100-1, set apart from the other Z10 models.
    To determine your exact Z10 model, either pop out the battery and look at the white sticker on the Z10 that is underneath the battery or Settings/About and look at the Model Number field.
    http://forums.crackberry.com/blackbe...encies-775253/
    Last edited by DaFoxGrey; 02-15-17 at 06:49 AM. Reason: Typo
    02-14-17 04:35 AM
  3. seko vimbelo's Avatar
    Which hardware is the issue? RAM, ROM Processor? Which is it?

    Posted via CB10
    02-15-17 04:31 AM
  4. DaFoxGrey's Avatar
    Which hardware is the issue? RAM, ROM Processor? Which is it?

    Posted via CB10
    The CPU and GPU are different as is the radio hardware.
    • STL100-1 = TI OMAP / 1.5 GHz dual-core ARM Cortex-A9, PowerVR SGX544 + Vivante CGPU, no LTE/4G radio hardware
    • All other Z10 models = Snapdragon CPU S4 Plus (MSM8960) / 1.5 GHz dual-core Krait, Adreno 225 GPU, LTE/4G radio hardware


    As the different processors need different kernel programming, they require a STL100-1 version OS that is incompatible with all other model Z10s.
    Conversely, the OS' for all the other model Z10s wont work in a STL100-1.

    As a result, STL100-1 is the "step-child" of the Z10s and generally is the slowest to get updates. When the dev-OS for 10.3.3 was released, it was specified to the developers that it was not compatible with STL100-1 and so far no 10.3.3 leak or release has been.
    02-15-17 06:47 AM
  5. Old_Mil's Avatar
    I remember it being said that people used autoloaders to be able to update it but I also heard that it's IMPOSSIBLE as the Z10 has not enough specifications to support the update.
    Running 10.3.3 just fine on my Z10. Did a non destructive update with Sachesi.
    02-20-17 08:04 AM
  6. ppeters914's Avatar
    Running 10.3.3 just fine on my Z10. Did a non destructive update with Sachesi.
    Which model Z10? No problem on STL100-2, or -3, or -4. As has been stated here and other threads, it's the STL100-1 that this update won't install on.

    Posted via CB10 / AT&T /Z10 STL100-3 /10.3.3.2205
    DaFoxGrey likes this.
    02-21-17 03:37 PM
  7. meforblackberry's Avatar
    10.3.3.2205 is just fine on my Z10 stl2

    Posted via CB10
    02-24-17 06:24 AM

Similar Threads

  1. Why is my phone not charging?
    By CrackBerry Question in forum Ask a Question
    Replies: 5
    Last Post: 02-15-17, 09:34 PM
  2. Replies: 2
    Last Post: 02-14-17, 11:39 AM
  3. Work Drive On BBerry. No Option To Data/Refresh All
    By CrackBerry Question in forum Ask a Question
    Replies: 0
    Last Post: 02-14-17, 01:59 AM
  4. Why does it comes that unable to find default app
    By CrackBerry Question in forum Ask a Question
    Replies: 0
    Last Post: 02-14-17, 01:05 AM
  5. hi I need software version 10.3.3.1435 can enyone help me?
    By shivaaeen in forum BlackBerry 10 OS
    Replies: 1
    Last Post: 02-13-17, 11:17 PM
LINK TO POST COPIED TO CLIPBOARD